<?php
/**
 * app/plugins/subscribe/forms.php
 *
 * This houses all of the form checking functions for this plugin.
 *
 * @package TP Subscribe
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins\Subscribe;

use TheTempusProject\Bedrock\Functions\Input;
use TheTempusProject\Classes\Forms;

class MembershipForms extends Forms {
    /**
     * Adds these functions to the form list.
     */
    public function __construct() {
        self::addHandler( 'newMembershipProduct', __CLASS__, 'newMembershipProduct' );
        self::addHandler( 'editMembershipProduct', __CLASS__, 'editMembershipProduct' );
    }

    /**
     * Validates the subscribe form.
     *
     * @return {bool}
     */
    public static function newMembershipProduct() {
        // if ( !self::token() ) {
        //     return false;
        // }
        return true;
    }
    public static function editMembershipProduct() {
        // if ( !self::token() ) {
        //     return false;
        // }
        return true;
    }

}

new MembershipForms;
